#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>
#import <QTKit/QTKit.h>
#import <OpenGL/OpenGL.h>

@interface OpenGLMovieLayer : CAOpenGLLayer {
    QTMovie                 *movie;
    QTVisualContextRef      qtVisualContext;
    CVImageBufferRef		currentFrame;
    
    GLfloat                 lowerLeft[2];
    GLfloat                 lowerRight[2];
    GLfloat                 upperRight[2];
    GLfloat                 upperLeft[2];
}

@property(retain)QTMovie *movie;

- (id)initWithMovie:(QTMovie*)m;
- (void)setupVisualContext:(CGLContextObj)glContext withPixelFormat:(CGLPixelFormatObj)pixelFormat;

@end
